# SPEC file for SessionSaver extension

%define rname	sessionsaver
%define version 0.2.1
%define release alt12
%define cid 	\{909409b9-2e3b-4682-a5d1-71ca80a76456\}
%define ciddir  %firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release: 	%release

Summary:	SessionSaver plugin for Firefox
Summary(ru_RU.UTF-8): расширение SessionSaver для Firefox

License:	GPL
Group:		Networking/WWW
URL:		https://addons.mozilla.org/extensions/moreinfo.php?application=firefox&id=436
BuildArch:	noarch

Packager:       Nikolay A. Fetisov <naf@altlinux.ru>

Source0:	sessionsaver_.2-0.2.1.031-fx+mz.xpi
Source1:	%name.chrome.manifest

BuildRequires(pre):     rpm-build-firefox
BuildRequires:  unzip
Requires:       %firefox_name >= 2.0  %firefox_name < 2.1
Conflicts:      firefox-sessionmanager firefox-TabMixPlus


%description 	
SessionSaver is a plugin for Firefox for restoring your browser
exactly as you left it,  every startup, every time.  Not even a
crash will phase it. Windows, tabs, even things you were typing
-- they're all saved.

%prep
%setup -c
# Fix Firefox version range, this application works on FF 2.0
subst 's@<em:maxVersion>1.6@<em:maxVersion>2.0.0.*@' install.rdf

%install
mkdir -p -- %buildroot/%ciddir
cp -r -- * %buildroot/%ciddir
install -m 0644 %SOURCE1 %buildroot/%ciddir/chrome.manifest

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Sat Dec 15 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt12
- Rebuild for Firefox 2.0.0.11

* Fri Nov 09 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt11
- Rebuild for Firefox 2.0.0.9

* Fri Oct 26 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt10
- Rebuild for Firefox 2.0.0.8

* Fri Aug 03 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt9
- Rebuild for Firefox 2.0.0.6

* Sat Jul 21 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt8
- Rebuild for Firefox 2.0.0.5

* Thu Jul 05 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt7
- Rebuild for Firefox 2.0.0.4

* Wed Mar 14 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt6
- Rebuild for Firefox 2.0.0.2

* Mon Jan 08 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt5
- Rebuild for Firefox 2.0
  - removes obsolete macros
  - replace 'set_firefox_noarch' macro with 'BuildArch' tag

* Sun Sep 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt4
- Rebuild for Firefox 1.5.0.7

* Wed Aug 09 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt3
- Rebuild with Firefox 1.5.0.6

* Sun Jul 23 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt2
- Fix for 9804: adding chrome.manifest

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.2.1-alt1.1.1.1.1.1
- NMU: rebuild with firefox 1.5.0.4

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.2.1-alt1.1.1.1.1
- NMU: rebuild with firefox 1.5.0.3

* Mon Feb 20 2006 Alexey Gladkov <legion@altlinux.ru> 0.2.1-alt1.1.1.1
- NMU: rebuild with firefox 1.5.0.1

* Tue Dec 20 2005 Alexey Gladkov <legion@altlinux.ru> 0.2.1-alt1.1.1
- rebuild with firefox-1.5
- spec changes:
  * BuildRequires fix;
  * ghost file added;
  * new macros was used to fix multiarch problem.

* Tue Nov 15 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.2.1-alt1.1
- rebuild with firefox-1.0.7 .

* Thu Aug 25 2005 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt1
- Initial build for ALTLinux Sisyphus

* Mon Aug 22 2005 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt0
- Initial build

